import 'package:flutter/foundation.dart';
import 'package:get_it/get_it.dart';
import 'package:injectable/injectable.dart';
import 'injection.config.dart';
import 'package:baseproject/core/constants/index.dart';
import 'package:baseproject/features/repositories/hra_repository.dart';
import 'package:dio/dio.dart';

final GetIt getItSuper = GetIt.instance;

@injectableInit
void configureInjection() {
  $initGetIt(getItSuper);

  getItSuper
      .registerSingleton<HraRepository>(HraRepository(Dio(), baseUrl: kDebugMode ? ApiPath.hra : ApiPathRelease.hra));
}
